package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.BareMetalInstancesMapper;
import com.zyc.system.domain.BareMetalInstances;
import com.zyc.system.service.IBareMetalInstancesService;

/**
 * 定制裸金属服务Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class BareMetalInstancesServiceImpl implements IBareMetalInstancesService 
{
    @Autowired
    private BareMetalInstancesMapper bareMetalInstancesMapper;

    /**
     * 查询定制裸金属服务
     * 
     * @param id 定制裸金属服务主键
     * @return 定制裸金属服务
     */
    @Override
    public BareMetalInstances selectBareMetalInstancesById(Integer id)
    {
        return bareMetalInstancesMapper.selectBareMetalInstancesById(id);
    }

    /**
     * 查询定制裸金属服务列表
     * 
     * @param bareMetalInstances 定制裸金属服务
     * @return 定制裸金属服务
     */
    @Override
    public List<BareMetalInstances> selectBareMetalInstancesList(BareMetalInstances bareMetalInstances)
    {
        return bareMetalInstancesMapper.selectBareMetalInstancesList(bareMetalInstances);
    }

    /**
     * 新增定制裸金属服务
     * 
     * @param bareMetalInstances 定制裸金属服务
     * @return 结果
     */
    @Override
    public int insertBareMetalInstances(BareMetalInstances bareMetalInstances)
    {
        return bareMetalInstancesMapper.insertBareMetalInstances(bareMetalInstances);
    }

    /**
     * 修改定制裸金属服务
     * 
     * @param bareMetalInstances 定制裸金属服务
     * @return 结果
     */
    @Override
    public int updateBareMetalInstances(BareMetalInstances bareMetalInstances)
    {
        return bareMetalInstancesMapper.updateBareMetalInstances(bareMetalInstances);
    }

    /**
     * 批量删除定制裸金属服务
     * 
     * @param ids 需要删除的定制裸金属服务主键
     * @return 结果
     */
    @Override
    public int deleteBareMetalInstancesByIds(Integer[] ids)
    {
        return bareMetalInstancesMapper.deleteBareMetalInstancesByIds(ids);
    }

    /**
     * 删除定制裸金属服务信息
     * 
     * @param id 定制裸金属服务主键
     * @return 结果
     */
    @Override
    public int deleteBareMetalInstancesById(Integer id)
    {
        return bareMetalInstancesMapper.deleteBareMetalInstancesById(id);
    }
}
